package macro;

import star.common.*;

public class InitializeSteady extends StarMacro {

    @Override
    public void execute() {

        Simulation sim = getActiveSimulation();

        StepStoppingCriterion stepStoppingCriterion = ((StepStoppingCriterion) sim.getSolverStoppingCriterionManager().getSolverStoppingCriterion("Maximum Steps"));
        stepStoppingCriterion.setMaximumNumberSteps(75);
        stepStoppingCriterion.setIsUsed(true);
        
    }
}
