package macro;

import star.common.*;

public class SetMembraneOpen extends StarMacro {

    @Override
    public void execute() {

        Simulation sim = getActiveSimulation();

        BoundaryInterface boundaryInterface = ((BoundaryInterface) sim.getInterfaceManager().getInterface("ambient/gas"));
        InternalInterface internalInterface = ((InternalInterface) sim.get(ConditionTypeManager.class).get(InternalInterface.class));
        boundaryInterface.setInterfaceType(internalInterface);

    }
}
